## gcin 2.8.6+dfsg2

=== debian/changelog ===
gcin (2.8.6+dfsg2-1build1) cosmic; urgency=medium

  * No-change rebuild against qtbase-abi-5-11-0.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 30 Jun 2018 23:54:51 -0500

gcin (2.8.6+dfsg2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.4.
  * Bump compat to 11.
  * Update Vcs-* fields to salsa.
  * Use new team mailing list (Closes: #899847).
  * Update d/watch link to https.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Fri, 25 May 2018 11:31:04 +0800

=== debian/control ===
Source: gcin
Section: utils
Priority: optional
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders: Yao Wei (魏銘廷) <mwei@lxde.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Shih-Yuan Lee (FourDollars) <fourdollars@gmail.com>,
Homepage: http://hyperrate.com/dir.php?eid=67
Build-Depends: debhelper (>= 11),
               dpkg-dev (>= 1.16.1~),
               libanthy-dev,
               libappindicator3-dev,
               libcurl-dev | libcurl4-openssl-dev,
               libgtk2.0-dev (>= 2.20.0),
               libgtk-3-dev,
               libxtst-dev,
               qtbase5-private-dev,
               qtchooser,
Standards-Version: 4.1.4
Vcs-Git: https://salsa.debian.org/debian/gcin.git
Vcs-Browser: https://salsa.debian.org/debian/gcin

Package: gcin
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
         gcin-data,
         gcin-tables,
         libgcin,
Recommends: im-config,
            gcin-gtk2-immodule,
            gcin-gtk3-immodule,
Suggests: gcin-anthy,
          gcin-qt5-immodule,
          gcin-voice,
Description: GTK+ based input method for Chinese users
 gcin is a GTK+ based input method which focused mainly on Traditional
 Chinese. However, it is also very useful for Simplified Chinese, Japanese,
 and many other languages.
 .
 To use gcin, the correspondence immodule packages also need to be installed.
 They are:
 .
  * gcin-gtk2-immodule for GTK2
  * gcin-gtk3-immodule for GTK3
  * gcin-qt5-immodule for Qt5

Package: gcin-data
Architecture: all
Depends: ${misc:Depends},
Replaces: gcin (<< 2.7.2+dfsg-1)
Breaks: gcin (<< 2.7.2+dfsg-1)
Description: icons and scripts for gcin
 gcin is a GTK+ based input method which focused mainly on Traditional
 Chinese. However, it is also very useful for Simplified Chinese, Japanese,
 and many other languages.
 .
 This package contains icons, scripts and other architecture-independent
 things.

Package: gcin-tables
Architecture: any
Depends: ${misc:Depends},
Replaces: gcin (<< 2.7.2+dfsg-1)
Breaks: gcin (<< 2.7.2+dfsg-1)
Description: input method tables for gcin
 gcin is a GTK+ based input method which focused mainly on Traditional
 Chinese. However, it is also very useful for Simplified Chinese, Japanese,
 and many other languages.
 .
 This package contains architecture-dependent input method tables.

Package: libgcin
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: library for gcin
 gcin is a GTK+ based input method which focused mainly on Traditional
 Chinese. However, it is also very useful for Simplified Chinese, Japanese,
 and many other languages.
 .
 This package contains library for gcin.

Package: gcin-gtk2-immodule
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         gcin (>= ${source:Version}),
Breaks: gcin (<< 2.8.3+dfsg1-1)
Replaces: gcin (<< 2.8.3+dfsg1-1)
Description: GTK2 input method module with gcin as backend
 gcin is a GTK+ based input method which focused mainly on Traditional
 Chinese. However, it is also very useful for Simplified Chinese, Japanese,
 and many other languages.
 .
 This package is the GTK2 input method module (immodule) for gcin.

Package: gcin-gtk3-immodule
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         gcin (>= ${source:Version}),
Description: GTK3 input method module with gcin as backend
 gcin is a GTK+ based input method which focused mainly on Traditional
 Chinese. However, it is also very useful for Simplified Chinese, Japanese,
 and many other languages.
 .
 This package is the GTK3 input method module (immodule) for gcin.

Package: gcin-qt5-immodule
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         gcin (>= ${source:Version}),
Description: Qt5 input method module with gcin as backend
 gcin is a GTK+ based input method which focused mainly on Traditional
 Chinese. However, it is also very useful for Simplified Chinese, Japanese,
 and many other languages.
 .
 This package is the Qt5 input method module (immodule) for gcin.

Package: gcin-anthy
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         gcin (>= ${source:Version}),
         anthy,
Replaces: gcin (<< 2.7.2+dfsg-1)
Breaks: gcin (<< 2.7.2+dfsg-1)
Description: support library to use Anthy in gcin
 gcin is a GTK+ based input method which focused mainly on Traditional
 Chinese. However, it is also very useful for Simplified Chinese, Japanese,
 and many other languages.
 .
 This package is the support library to use anthy in gcin.

## gcin 2.8.8%2Bdfsg1

=== debian/changelog ===
gcin (2.8.8+dfsg1-1+rb2) UNRELEASED; urgency=medium

  * update

 -- Debian Input Method Team <debian-input-method@lists.debian.org>  Fri, 22 Jan 2021 11:19:30 +0800

gcin (2.8.8+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.3.0.
  * Bump compat to 12.
    * Use dh_missing for exclude files.
    * Use --no-dwz-multifile to avoid dh_dwz fails.
  * Use libcurl4-openssl-dev as first alternative instead of libcurl-dev

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 06 Jan 2019 00:00:17 +0800

## gcin 2.8.8+dfsg1

=== Makefile ===
OPTFLAGS=-g

include config.mak
include suffixes-rule

gcin_tsin_o = tsin.o tsin-util.o win0.o win1.o tsin-parse.o
gcin_pho_o = win-pho.o pho.o pho-util.o pho-sym.o table-update.o pho-dbg.o
gcin_gtab_o = gtab.o win-gtab.o gtab-util.o gtab-list.o gtab-buf.o

GCIN_SO= gcin1.so gcin2.so

OBJS=gcin.o eve.o util.o gcin-conf.o gcin-settings.o locale.o gcin-icon.o about.o html-browser.o \
     gcin-exec-script.o $(GCIN_SO) pho-play.o cache.o gtk_bug_fix.o phrase-save-menu.o \
     $(gcin_pho_o) $(gcin_gtab_o) gcin-common.o phrase.o t2s-lookup.o gtab-use-count.o \
     win-save-phrase.o unix-exec.o pho-kbm-name.o statistic.o tsin-scan.o gcin-module.o lang.o \
     gcin-module-cb.o gtab-init.o fullchar.o gtab-tsin-fname.o win-screen-status.o en-miss-cand.o


OBJS_TSLEARN=tslearn.o util.o gcin-conf.o pho-util.o tsin-util.o gcin-send.o pho-sym.o \
             table-update.o locale.o gcin-settings.o gcin-common.o gcin-icon.o pho-dbg.o  \
             pho2pinyin.o pinyin.o lang.o gtab-list.o gtab-init.o fullchar.o \
             gtab-tsin-fname.o unix-exec.o gtab-util.o

OBJS_TS_EDIT=ts-edit.o util.o gcin-conf.o pho-util.o tsin-util.o gcin-send.o pho-sym.o \
             table-update.o locale.o gcin-settings.o gcin-common.o gcin-icon.o pho-dbg.o  \
             pho2pinyin.o pinyin.o lang.o gtab-list.o gtab-init.o fullchar.o \
             gtab-tsin-fname.o unix-exec.o gtab-util.o ts-upload.o ts-download.o

OBJS_JUYIN_LEARN=juyin-learn.o locale.o util.o pho-util.o pho-sym.o pho2pinyin.o \
                 gcin-settings.o gcin-conf.o table-update.o pinyin.o gcin-icon.o pho-dbg.o
OBJS_sim2trad=sim2trad.o util.o gcin2.so locale.o gcin-conf.o gcin-icon.o
OBJS_phod2a=phod2a.o pho-util.o gcin-conf.o pho-sym.o table-update.o pho-dbg.o locale.o \
             gcin-settings.o util.o
OBJS_tsa2d32=tsa2d32.o gcin-send.o util.o pho-sym.o gcin-conf.o locale.o pho-lookup.o pinyin.o pho2pinyin.o pho-dbg.o gcin-settings.o lang.o
OBJS_gtab_db_gen=gtab-db-gen.o gcin-send.o util.o pho-sym.o gcin-conf.o locale.o pho-lookup.o pinyin.o pho2pinyin.o pho-dbg.o gcin-settings.o lang.o
OBJS_phoa2d=phoa2d.o pho-sym.o gcin-send.o gcin-conf.o locale.o pho-lookup.o util.o pho-dbg.o
OBJS_kbmcv=kbmcv.o pho-sym.o util.o locale.o
OBJS_tsd2a32=tsd2a32.o pho-sym.o pho-dbg.o locale.o util.o gtab-dbg.o pho2pinyin.o \
	gcin-conf.o pinyin.o tsin-util.o lang.o unix-exec.o gcin-settings.o
OBJS_gcin2tab=gcin2tab.o gtab-util.o util.o locale.o
OBJS_gtab_merge=gtab-merge.o gtab-util.o util.o locale.o
OBJS_gcin_tools=gcin-tools.o gcin-conf.o util.o gcin-send.o gcin-settings.o html-browser.o \
	gcin-setup-list.o locale.o gcin-setup-pho.o about.o lang.o gcin-tools-appearance.o \
	gcin-icon.o gcin-setup-gtab.o gtab-list.o gcin-exec-script.o pho-kbm-name.o gcin-module-cb.o

OBJS_gcin_gb_toggle = gcin-gb-toggle.o gcin-conf.o util.o gcin-send.o
OBJS_gcin_kbm_toggle = gcin-kbm-toggle.o gcin-conf.o util.o gcin-send.o
OBJS_gcin_exit = gcin-exit.o gcin-conf.o util.o gcin-send.o
OBJS_gcin_message = gcin-message.o gcin-conf.o util.o gcin-send.o
OBJS_pin_juyin = pin-juyin.o util.o pho-lookup.o locale.o pho-sym.o

OBJS_tsin2gtab_phrase = tsin2gtab-phrase.o gcin-conf.o util.o locale.o \
	pho-dbg.o pho-sym.o gtab-dbg.o lang.o gcin-settings.o

OBJS_txt2gtab_phrase = txt2gtab-phrase.o gcin-conf.o util.o locale.o \
	pho-dbg.o pho-sym.o gtab-dbg.o lang.o gcin-settings.o

#WALL=-Wall

ifeq ($(USE_XIM),Y)
IMdkitLIB = IMdkit/lib/libXimd.a
CFLAGS += -DUSE_XIM=1
OBJS+=IC.o
endif

ifeq ($(USE_TRAY),Y)
CFLAGS += -DTRAY_ENABLED=1
OBJS += tray.o eggtrayicon.o tray-win32.o
endif

ifeq ($(USE_I18N),Y)
CFLAGS += -DGCIN_i18n_message=1
endif

ifeq ($(USE_TSIN),Y)
CFLAGS += -DUSE_TSIN=1
OBJS += $(gcin_tsin_o)
endif

ifeq ($(USE_GCB),Y)
CFLAGS += -DUSE_GCB=1
OBJS += gcb.o
endif

GCIN_LDFLAGS = $(LDFLAGS)

ifeq ($(USE_INDICATOR),Y)
CFLAGS += -DUSE_INDICATOR=1 $(INDICATOR_INC)
OBJS += tray-indicator.o
#GCIN_LDFLAGS += $(INDICATOR_LIB)
endif

OBJ_IMSRV=im-addr.o im-dispatch.o im-srv.o gcin-crypt.o

PROGS=gcin tsd2a32 tsa2d32 phoa2d phod2a tslearn gcin-tools gcin2tab \
	juyin-learn sim2trad gcin-gb-toggle gcin-message gtab-merge \
	gcin-kbm-toggle tsin2gtab-phrase gcin-exit ts-edit ts-contribute \
	txt2gtab-phrase gtab-db-gen
PROGS_SYM=trad2sim
PROGS_CV=kbmcv pin-juyin


all:	$(PROGS) trad2sim $(GCIN_SO) $(DATA) $(PROGS_CV) gcin.spec gcin-fedora.spec
	$(MAKE) -C data
	$(MAKE) -C gtk-im
	if [ $(BUILD_MODULE) = 'Y' ]; then $(MAKE) -C modules; fi
	if [ $(USE_I18N) = 'Y' ]; then $(MAKE) -C po; fi
	if [ $(GTK3_IM) = 'Y' ]; then $(MAKE) -C gtk3-im; fi
	if [ $(QT_IM) = 'Y' ]; then $(MAKE) -C qt-im; fi
	if [ $(QT4_IM) = 'Y' ]; then $(MAKE) -C qt4-im; fi
	if [ $(QT5_IM) = 'Y' ]; then $(MAKE) -C qt5-im; fi

#gcc_ld_run_path=-Wl,-rpath,$(gcin_ld_run_path)

gcin:   $(OBJS) $(IMdkitLIB) $(OBJ_IMSRV)
	$(CCLD) $(EXTRA_LDFLAGS) $(gcc_ld_run_path) -o $@ $(OBJS) $(IMdkitLIB) $(OBJ_IMSRV) -lXtst $(GCIN_LDFLAGS) -L/usr/X11R6/$(LIB)
	rm -f core.* vgcore.*
	ln -sf $@ $@.test

gcin-nocur:   $(OBJS) $(IMdkitLIB) $(OBJ_IMSRV)
	$(CCLD) -Wl,-rpath,$(gcinlibdir) $(EXTRA_LDFLAGS) -o $@ $(OBJS) $(IMdkitLIB) $(OBJ_IMSRV) -lXtst $(LDFLAGS) -L/usr/X11R6/$(LIB)
	rm -f core.*

tslearn:        $(OBJS_TSLEARN)
	$(CCLD) $(gcc_ld_run_path) -o $@ $(OBJS_TSLEARN) -L./im-client -lgcin-im-client $(LDFLAGS)

ts-edit:        $(OBJS_TS_EDIT)
	$(CCLD) $(gcc_ld_run_path) -o $@ $(OBJS_TS_EDIT) -L./im-client -lgcin-im-client -lcurl $(LDFLAGS)

ts-contribute:	ts-edit
	ln -s $< $@

juyin-learn:        $(OBJS_JUYIN_LEARN)
	$(CCLD) -o $@ $(OBJS_JUYIN_LEARN) $(LDFLAGS)
	rm -f core.*
sim2trad:        $(OBJS_sim2trad)
	$(CC) $(gcc_ld_run_path) -o $@ $(OBJS_sim2trad) $(LDFLAGS)
	rm -f core.*
trad2sim:	sim2trad
	ln -sf sim2trad trad2sim

gcin-tools:     $(OBJS_gcin_tools) im-client/libgcin-im-client.so
	rm -f core.*
	$(CCLD) $(gcc_ld_run_path) -o $@ $(OBJS_gcin_tools) -L./im-client -lgcin-im-client $(LDFLAGS)

phoa2d: $(OBJS_phoa2d) im-client/libgcin-im-client.so
	$(CCLD) $(gcc_ld_run_path) -o $@ $(OBJS_phoa2d) -L./im-client -lgcin-im-client $(LDFLAGS)

phod2a: $(OBJS_phod2a)
	$(CCLD) -lX11 -o $@ $(OBJS_phod2a) $(LDFLAGS)

tsa2d32:  $(OBJS_tsa2d32) im-client/libgcin-im-client.so
	$(CCLD) $(gcc_ld_run_path) -o $@ $(OBJS_tsa2d32) -L./im-client -lgcin-im-client $(LDFLAGS)

gtab-db-gen:  $(OBJS_gtab_db_gen) im-client/libgcin-im-client.so
	$(CCLD) $(gcc_ld_run_path) -o $@ $(OBJS_gtab_db_gen) -L./im-client -lgcin-im-client $(LDFLAGS)

#tsd2a:  $(OBJS_tsd2a)
#	$(CCLD) -o $@ $(OBJS_tsd2a) $(LDFLAGS)

tsd2a32:  $(OBJS_tsd2a32)
	$(CCLD) -o $@ $(OBJS_tsd2a32) $(LDFLAGS)

gcin2tab:  $(OBJS_gcin2tab)
	$(CCLD) -o $@ $(OBJS_gcin2tab) $(LDFLAGS)
	rm -f data/*.gtab

gtab-merge:  $(OBJS_gtab_merge)
	$(CCLD) -o $@ $(OBJS_gtab_merge) $(LDFLAGS)

kbmcv:  $(OBJS_kbmcv)
	$(CCLD) -o $@ $(OBJS_kbmcv) $(LDFLAGS)

gcin-gb-toggle:	$(OBJS_gcin_gb_toggle)
	$(CCLD) $(gcc_ld_run_path) -o $@ $(OBJS_gcin_gb_toggle) -L./im-client -lgcin-im-client $(LDFLAGS)

gcin-kbm-toggle:	$(OBJS_gcin_kbm_toggle)
	$(CCLD) $(gcc_ld_run_path) -o $@ $(OBJS_gcin_kbm_toggle) -L./im-client -lgcin-im-client $(LDFLAGS)

gcin-exit:	$(OBJS_gcin_exit)
	$(CCLD) $(gcc_ld_run_path) -o $@ $(OBJS_gcin_exit) -L./im-client -lgcin-im-client $(LDFLAGS)

gcin-message:	$(OBJS_gcin_message)
	$(CCLD) $(gcc_ld_run_path) -o $@ $(OBJS_gcin_message) -L./im-client -lgcin-im-client $(LDFLAGS)

pin-juyin:	$(OBJS_pin_juyin)
	$(CCLD) -o $@ $(OBJS_pin_juyin) $(LDFLAGS)

tsin2gtab-phrase:       $(OBJS_tsin2gtab_phrase)
	$(CCLD) -o $@ $(OBJS_tsin2gtab_phrase) $(LDFLAGS)

txt2gtab-phrase:       $(OBJS_txt2gtab_phrase)
	$(CCLD) -o $@ $(OBJS_txt2gtab_phrase) $(LDFLAGS)

im-client/libgcin-im-client.so:
	$(MAKE) -C im-client

gcin-version.h:	VERSION.gcin
	echo '#define GCIN_VERSION "'`cat VERSION.gcin`'"' > gcin-version.h

gcin1_so += win-message.pico win-sym.pico \
win-inmd-switch.pico pinyin.pico win-pho-near.pico win-kbm.pico gcin-module.pico pho2pinyin.pico

gcin1.so: $(gcin1_so) pho.o tsin.o eve.o gtab.o win-sym.o
	$(CCLD) $(SO_FLAGS) -o $@ $(gcin1_so) $(LDFLAGS)

gcin2_so= t2s-lookup.pico
gcin2.so: $(gcin2_so) gcin-conf.o
	$(CCLD) $(SO_FLAGS) -o $@ $(gcin2_so) $(LDFLAGS)

$(IMdkitLIB):
	$(MAKE) -C IMdkit/lib

ibin:	gcin-nocur
	install $(PROGS) $(bindir); \
	cp gcin-nocur $(bindir)/gcin; \
	rm -f $(bindir)/trad2sim; ln -sf sim2trad $(bindir)/trad2sim
	rm -f $(bindir)/ts-contribute; ln -sf ts-edit $(bindir)/ts-contribute
	install $(GCIN_SO) $(gcinlibdir)

icons_apps=$(datadir)/icons/hicolor/64x64/apps
install:
	install -d $(icons_apps)
	install -m 644 gcin.png $(icons_apps)
	$(MAKE) -C icons install
	install -d $(gcinlibdir)
	install $(GCIN_SO) $(gcinlibdir)
	install -d $(bindir)
	$(MAKE) -C data install
	$(MAKE) -C im-client install
	$(MAKE) -C gtk-im install
	if [ $(BUILD_MODULE) = 'Y' ]; then $(MAKE) -C modules install; fi
	if [ $(GTK3_IM) = 'Y' ]; then $(MAKE) -C gtk3-im install; fi
	if [ $(QT_IM) = 'Y' ]; then $(MAKE) -C qt-im install; fi
	if [ $(QT4_IM) = 'Y' ]; then $(MAKE) -C qt4-im install; fi
	if [ $(QT5_IM) = 'Y' ]; then $(MAKE) -C qt5-im install; fi
	if [ $(prefix) = /usr/local ]; then \
	   install -m 644 gcin.png /usr/share/icons/hicolor/64x64/apps; \
	   install -d $(DOC_DIR); \
	   install -m 644 README.html Changelog.html $(DOC_DIR); \
	   install $(PROGS) $(bindir); \
	   rm -f $(bindir)/trad2sim; ln -sf sim2trad $(bindir)/trad2sim; \
	   rm -f $(bindir)/ts-contribute; ln -sf ts-edit $(bindir)/ts-contribute; \
	   rm -f $(bindir)/ts-contribute-en; ln -sf ts-edit $(bindir)/ts-contribute-en; \
	   rm -f $(bindir)/ts-edit-en; ln -sf ts-edit $(bindir)/ts-edit-en; \
	else \
	   install -d $(DOC_DIR_i); \
	   install -m 644 README.html Changelog.html $(DOC_DIR_i); \
	   install -s $(PROGS) $(bindir); \
	   rm -f $(bindir)/trad2sim; ln -sf sim2trad $(bindir)/trad2sim; \
	   rm -f $(bindir)/ts-contribute; ln -sf ts-edit $(bindir)/ts-contribute; \
	   rm -f $(bindir)/ts-contribute-en; ln -sf ts-edit $(bindir)/ts-contribute-en; \
	   rm -f $(bindir)/ts-edit-en; ln -sf ts-edit $(bindir)/ts-edit-en; \
	fi
	$(MAKE) -C scripts install
	$(MAKE) -C menu install
	if [ $(USE_I18N) = 'Y' ]; then $(MAKE) -C po install; fi

clean:
	$(MAKE) -C IMdkit clean
	$(MAKE) -C data clean
	$(MAKE) -C scripts clean
	$(MAKE) -C im-client clean
	$(MAKE) -C gtk-im clean
	$(MAKE) -C modules clean
	if [ $(GTK3_IM) = 'Y' ]; then $(MAKE) -C gtk3-im clean; fi
	$(MAKE) -C qt-im clean
	$(MAKE) -C qt4-im clean
	$(MAKE) -C qt5-im clean
	$(MAKE) -C menu clean
	$(MAKE) -C po clean
	rm -fr *.o *.E *.db *.pico *.so config.mak tags $(PROGS) gcin-nocur $(PROGS_CV) \
	$(DATA) .depend gcin.spec trad2sim gcin.spec.tmp gcin.log
	find . '(' -name '.ted*' -o -name '*~' -o -name 'core*' -o -name 'vgcore.*' -o -name .depend ')' -exec rm {} \;

.depend:
	$(CCX) $(CFLAGS) -MM *.cpp > $@

config.mak: VERSION.gcin configure
	./configure

gcin.spec:	gcin.spec.in
	rm -f $@
	sed -e "s/__gcin_version__/$(GCIN_VERSION)/" < $< > $@

gcin-fedora.spec:	gcin-fedora.spec.in VERSION.gcin
	rm -f $@
	sed -e "s/__gcin_version__/$(GCIN_VERSION)/" < $< > $@

include .depend

=== man/Makefile ===
include ../config.mak

clean:
	rm -f *~
install:
	install -d $(man1dir)
	install -m 444  *.1 \
			$(man1dir)

=== modules/Makefile ===
include ../config.mak
include ../suffixes-rule

CFLAGS+=-I.. -I../IMdkit/include
GCIN_MODULE=intcode-module.so

ifeq ($(USE_ANTHY),Y)
GCIN_MODULE+=anthy-module.so
CFLAGS+=-DGCIN_MODULE=1
endif

ifeq ($(USE_CHEWING),Y)
GCIN_MODULE+=chewing-module.so
CHEWING_DATADIR=$(shell pkg-config --variable=datadir chewing)
CFLAGS += -DCHEWING_DATADIR=\"$(CHEWING_DATADIR)\"
endif

all:	$(GCIN_MODULE)

anthy_module_so = anthy.pico
anthy-module.so: $(anthy_module_so)
	$(CCLD) $(SO_FLAGS) -o $@ $(anthy_module_so) $(LDFLAGS) -lanthy

intcode_module_so = intcode.pico win-int.pico
intcode-module.so: $(intcode_module_so)
	$(CCLD) $(SO_FLAGS) -o $@ $(intcode_module_so) $(LDFLAGS)

chewing_module_obj = chewing-conf.pico
chewing_module_so = chewing.pico gcin-setup-chewing.pico
chewing-module.so: $(chewing_module_obj) $(chewing_module_so)
	$(CCLD) $(SO_FLAGS) -o $@ $(chewing_module_obj) $(chewing_module_so) $(LDFLAGS) $(shell pkg-config --cflags --libs chewing)

install:
	install $(GCIN_MODULE) $(gcinlibdir)

clean:
	rm -f *.pico *.so *.o .depend
.depend:
	$(CCX) $(CFLAGS) -MM *.cpp > $@

include .depend

=== debian/changelog ===
gcin (2.8.8+dfsg1-1ubuntu4) focal; urgency=medium

  * No-change rebuild against qtbase-abi-5-12-8.

 -- Rik Mills <rikmills@kde.org>  Fri, 10 Apr 2020 19:57:32 +0100

gcin (2.8.8+dfsg1-1ubuntu3) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:14:58 +0100

gcin (2.8.8+dfsg1-1ubuntu2) focal; urgency=medium

  * No-change rebuild against qtbase-abi-5-12-5.

 -- Rik Mills <rikmills@kde.org>  Sun, 27 Oct 2019 06:28:36 +0000

gcin (2.8.8+dfsg1-1ubuntu1) eoan; urgency=medium

  * Rebuild against qtbase-abi-5-12-4.
  * Disable dh_dwz, it fails without printing any error.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 08 Jul 2019 13:35:28 +0300

gcin (2.8.8+dfsg1-1build1) disco; urgency=medium

  * No change rebuild against qtbase-abi-5-12-2.

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 27 Mar 2019 14:08:30 +0000

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,23 @@
 Source: gcin
 Section: utils
 Priority: optional
-Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
 Uploaders: Yao Wei (魏銘廷) <mwei@lxde.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
            Shih-Yuan Lee (FourDollars) <fourdollars@gmail.com>,
 Homepage: http://hyperrate.com/dir.php?eid=67
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper (>= 12~),
                dpkg-dev (>= 1.16.1~),
                libanthy-dev,
                libappindicator3-dev,
-               libcurl-dev | libcurl4-openssl-dev,
+               libcurl4-openssl-dev | libcurl-dev,
                libgtk2.0-dev (>= 2.20.0),
                libgtk-3-dev,
                libxtst-dev,
                qtbase5-private-dev,
                qtchooser,
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Vcs-Git: https://salsa.debian.org/debian/gcin.git
 Vcs-Browser: https://salsa.debian.org/debian/gcin

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

GTK2VER := $(shell pkg-config --variable=gtk_binary_version gtk+-2.0)
GTK3VER := $(shell pkg-config --variable=gtk_binary_version gtk+-3.0)
GTK2_IMMODULES := $(shell pkg-config --variable=libdir gtk+-2.0)/libgtk2.0-0/gtk-query-immodules-2.0
GTK3_IMMODULES := $(shell pkg-config --variable=libdir gtk+-3.0)/libgtk-3-0/gtk-query-immodules-3.0

%:
	dh $@ --no-parallel --no-dwz-multifile

override_dh_auto_configure:
	dh_auto_configure -- --gcinlibdir=/usr/lib/$(DEB_HOST_MULTIARCH)/gcin

	sed 's,%%GTK_QUERY_IMMODULES%%,$(GTK2_IMMODULES),g' $(CURDIR)/debian/gcin-gtk-immodule.postinst.in > $(CURDIR)/debian/gcin-gtk2-immodule.postinst
	sed 's,%%GTK_QUERY_IMMODULES%%,$(GTK2_IMMODULES),g' $(CURDIR)/debian/gcin-gtk-immodule.postrm.in > $(CURDIR)/debian/gcin-gtk2-immodule.postrm
	sed 's,%%GTK_QUERY_IMMODULES%%,$(GTK3_IMMODULES),g' $(CURDIR)/debian/gcin-gtk-immodule.postinst.in > $(CURDIR)/debian/gcin-gtk3-immodule.postinst
	sed 's,%%GTK_QUERY_IMMODULES%%,$(GTK3_IMMODULES),g' $(CURDIR)/debian/gcin-gtk-immodule.postrm.in > $(CURDIR)/debian/gcin-gtk3-immodule.postrm

override_dh_auto_install:
	make install DESTDIR=$(CURDIR)/debian/tmp

	# move libraries to the correspond gtk version
	mkdir -p debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gtk-2.0/$(GTK2VER)
	mv debian/tmp/usr/lib/gtk-2.0/immodules debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gtk-2.0/$(GTK2VER)/
	mkdir -p debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gtk-3.0/$(GTK3VER)
	mv debian/tmp/usr/lib/gtk-3.0/immodules debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gtk-3.0/$(GTK3VER)/

	# workaround to move arch-dep tables to /usr/lib
	mv debian/tmp/usr/share/gcin/table debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gcin/table
	ln -s /usr/lib/$(DEB_HOST_MULTIARCH)/gcin/table debian/tmp/usr/share/gcin/table

override_dh_missing:
	dh_missing --fail-missing \
		--exclude=Changelog.html \
		--exclude=README.html \
		--exclude=gcin.png \
		$(NULL)

override_dh_installchangelogs:
	dh_installchangelogs Changelog.html

override_dh_makeshlibs:
	dh_makeshlibs -n

override_dh_dwz:

## gcin 2.9.0%2Bdfsg1

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,8 @@
 
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/default.mk
+
+export DEB_CFLAGS_MAINT_APPEND = -fcommon
 
 GTK2VER := $(shell pkg-config --variable=gtk_binary_version gtk+-2.0)
 GTK3VER := $(shell pkg-config --variable=gtk_binary_version gtk+-3.0)
@@ -48,5 +50,3 @@
 
 override_dh_makeshlibs:
 	dh_makeshlibs -n
-
-override_dh_dwz:

## gcin 2.9.0+dfsg1

=== Makefile ===
--- 
+++ 
@@ -27,21 +27,21 @@
              gtab-tsin-fname.o unix-exec.o gtab-util.o ts-upload.o ts-download.o
 
 OBJS_JUYIN_LEARN=juyin-learn.o locale.o util.o pho-util.o pho-sym.o pho2pinyin.o \
-                 gcin-settings.o gcin-conf.o table-update.o pinyin.o gcin-icon.o pho-dbg.o
+                 gcin-settings.o gcin-conf.o table-update.o pinyin.o gcin-icon.o pho-dbg.o gcin-common.o
 OBJS_sim2trad=sim2trad.o util.o gcin2.so locale.o gcin-conf.o gcin-icon.o
 OBJS_phod2a=phod2a.o pho-util.o gcin-conf.o pho-sym.o table-update.o pho-dbg.o locale.o \
              gcin-settings.o util.o
-OBJS_tsa2d32=tsa2d32.o gcin-send.o util.o pho-sym.o gcin-conf.o locale.o pho-lookup.o pinyin.o pho2pinyin.o pho-dbg.o gcin-settings.o lang.o
-OBJS_gtab_db_gen=gtab-db-gen.o gcin-send.o util.o pho-sym.o gcin-conf.o locale.o pho-lookup.o pinyin.o pho2pinyin.o pho-dbg.o gcin-settings.o lang.o
+OBJS_tsa2d32=tsa2d32.o gcin-send.o util.o pho-sym.o gcin-conf.o locale.o pho-lookup.o pho2pinyin.o pho-dbg.o gcin-settings.o lang.o pinyin.o gcin-common.o
+OBJS_gtab_db_gen=gtab-db-gen.o gcin-send.o util.o pho-sym.o gcin-conf.o locale.o pho-lookup.o pinyin.o pho2pinyin.o pho-dbg.o gcin-settings.o lang.o gcin-common.o
 OBJS_phoa2d=phoa2d.o pho-sym.o gcin-send.o gcin-conf.o locale.o pho-lookup.o util.o pho-dbg.o
 OBJS_kbmcv=kbmcv.o pho-sym.o util.o locale.o
 OBJS_tsd2a32=tsd2a32.o pho-sym.o pho-dbg.o locale.o util.o gtab-dbg.o pho2pinyin.o \
-	gcin-conf.o pinyin.o tsin-util.o lang.o unix-exec.o gcin-settings.o
+	gcin-conf.o pinyin.o tsin-util.o lang.o unix-exec.o gcin-settings.o gcin-common.o
 OBJS_gcin2tab=gcin2tab.o gtab-util.o util.o locale.o
 OBJS_gtab_merge=gtab-merge.o gtab-util.o util.o locale.o
 OBJS_gcin_tools=gcin-tools.o gcin-conf.o util.o gcin-send.o gcin-settings.o html-browser.o \
 	gcin-setup-list.o locale.o gcin-setup-pho.o about.o lang.o gcin-tools-appearance.o \
-	gcin-icon.o gcin-setup-gtab.o gtab-list.o gcin-exec-script.o pho-kbm-name.o gcin-module-cb.o
+	gcin-icon.o gcin-setup-gtab.o gtab-list.o gcin-exec-script.o pho-kbm-name.o gcin-module-cb.o pho-kbd-util.o
 
 OBJS_gcin_gb_toggle = gcin-gb-toggle.o gcin-conf.o util.o gcin-send.o
 OBJS_gcin_kbm_toggle = gcin-kbm-toggle.o gcin-conf.o util.o gcin-send.o

=== data/Makefile ===
include ../config.mak

.SUFFIXES:	.kbmsrc .kbm .cin .gtab
CFLAGS= -DUNIX=1 $(WALL) $(OPTFLAGS) $(GTKINC) -I.. -DDEBUG="0$(GCIN_DEBUG)"
export NO_GTK_INIT=
export GCIN_NO_RELOAD=

DATA=pho.tab2 tsin32.idx NewCJ3.gtab \
     cj.gtab ar30.gtab ar30-big.gtab dayi3.gtab pinyin.gtab jyutping.gtab cj5.gtab \
     et.kbm et26.kbm zo.kbm pinyin.kbm dvorak.kbm mitac.kbm colemak.kbm \
     ibm.kbm tsin32 hsu.kbm pho-huge.tab2 simplex.gtab symbols.gtab russian.gtab \
     greek.gtab cj-punc.gtab latin-letters.gtab tsin-1.src pin-juyin.xlt \
     t2s.dat s2t.dat cj543.gtab s-tsin32 s-tsin32.idx s-pho.tab2 s-pho-huge.tab2 \
     pinyin-no-tone.kbm simplex-punc.gtab hangul.gtab ar33.gtab array-symbols.gtab \
     vims.gtab german.gtab array10a.gtab en-american en-american.idx pho-char.gtab

DATAKEEP=symbol-table gtab.list phrase.table phrase-ctrl.table hangul-phrase.txt

all:	$(DATA)

tsin32:	tsin.src ../tsa2d32
	export LD_LIBRARY_PATH=../im-client;../tsa2d32 $<
tsin32.idx:	tsin32

s-tsin32:	s-tsin.src ../tsa2d32
	export LD_LIBRARY_PATH=../im-client;../tsa2d32 $< $@
s-tsin32.idx:	s-tsin32

en-american:	en-american.src ../tsa2d32
	export LD_LIBRARY_PATH=../im-client;../tsa2d32 $<
en-american.idx:	en-american

pho.tab2:	 pho.tab2.src ../phoa2d
	export LD_LIBRARY_PATH=../im-client;../phoa2d $<

s-pho.tab2:	 s-pho.tab2.src ../phoa2d
	export LD_LIBRARY_PATH=../im-client;../phoa2d $<

pho-huge.tab2:	 pho-huge.tab2.src ../phoa2d
	export LD_LIBRARY_PATH=../im-client;../phoa2d $<

s-pho-huge.tab2:	 s-pho-huge.tab2.src ../phoa2d
	export LD_LIBRARY_PATH=../im-client;../phoa2d $<

t2s.dat:	t2s-file t2s-file.table
	./t2s-file
s2t.dat:	t2s-file

pin-juyin.xlt:	../pin-juyin pin-juyin.src
	../pin-juyin

extr1:	extr1.c
	$(CC) $(CFLAGS) $< ../util.o ../locale.o -o $@ $(LDFLAGS)

t2s-file:	t2s-file.c
	$(CC) $(CFLAGS) $< ../util.o ../locale.o -o $@ $(LDFLAGS)

tsin-1.src:	extr1
	./extr1 > $@

.cin.gtab:      ../gcin2tab
	../gcin2tab $<

.kbmsrc.kbm:	../kbmcv
	../kbmcv $<

install:
	install -d $(GCIN_TABLE_DIR_i)
	install -m 644 $(DATA) $(DATAKEEP) $(GCIN_TABLE_DIR_i)
#	cd $(GCIN_TABLE_DIR_i); bzip2 -f *.gtab
clean:
	rm -f *~ tags core.* $(DATA) *.gtab extr1 t2s-file tsin-1.src tsin-gtabidx* tsin-ch-idx

=== gtk-im/Makefile ===
include ../config.mak

OBJS = imgcin.o gtkimcontextgcin.o
GTK2IM=gtk-2.0/immodules
GTKINC=`pkg-config --cflags gtk+-2.0`
LDFLAGS=`pkg-config --libs gtk+-2.0`
IMMODULES=$(libdir)/$(GTK2IM)
IMMODULES_LOCAL=/usr/$(LIB)/$(GTK2IM)


ifeq ($(MAC_OS),1)
EXTRA_INC=-I/sw/include
endif

.SUFFIXES:	.c .o .E
CFLAGS = $(OPTFLAGS) $(EXTRA_INC) $(GTKINC) -I../im-client -I.. -DUNIX=1 \
-I../IMdkit/include -DCLIENT_LIB=1 -DMAC_OS=$(MAC_OS) -DFREEBSD=$(FREEBSD)

.c.o:
	$(CC) -c -fPIC $(CFLAGS) -o $@ $<

.c.E:
	$(CC) -E $(CFLAGS) -o $@ $<

all:	im-gcin.so im-gcin-cur.so

im-gcin.so:     $(OBJS) ../im-client/libgcin-im-client.so
	$(CC) $(gcc_ld_run_path) $(SO_FLAGS) $(OBJS) -L../im-client -lgcin-im-client -o $@ $(LDFLAGS)
	rm -f core.*

im-gcin-cur.so:     $(OBJS) ../im-client/libgcin-im-client.so
	$(CC) $(SO_FLAGS) $(OBJS) -L../im-client -lgcin-im-client -o $@ $(LDFLAGS)
	rm -f core.*

clean:
	rm -f *.o *.so *~ core.* .depend *.E

install:
	if [ $(prefix) = /usr/local ]; then \
		install -d $(IMMODULES_LOCAL); \
		install -m 755 im-gcin.so $(IMMODULES_LOCAL); \
		cd /etc/gtk-2.0; gtk-query-immodules-2.0$(GTK_QUERY_IM_64) > gtk.immodules.lib; \
	else \
		install -d $(IMMODULES); \
		install -m 755 im-gcin.so $(IMMODULES); \
	fi

.depend:
	$(CC) $(CFLAGS) -MM *.c > $@

include .depend

=== im-client/Makefile ===
include ../config.mak

SOFILE=libgcin-im-client.so
SOFILEVER=libgcin-im-client.so.1.2.5

.SUFFIXES:      .c .o .E .cpp
WALL=-Wall
CFLAGS= -DUNIX=1 $(WALL) $(OPTFLAGS) -I. -I.. -I../IMdkit/include $(GTKINC) \
        -DCLIENT_LIB=1 -DGCIN_BIN_DIR=\"$(GCIN_BIN_DIR)\" -DUNIX=1 \
        -DDEBUG="0$(GCIN_DEBUG)" -DGCIN_TABLE_DIR=\"$(GCIN_TABLE_DIR)\" \
        -DFREEBSD=$(FREEBSD) -fPIC
OBJS = gcin-im-client.o im-addr.o gcin-conf.o util.o gcin-crypt-fpic.o

.cpp.E:
	$(CC) $(CFLAGS) -E -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $<
.cpp.o:
	$(CC) -x c -c $(CFLAGS) $<

$(SOFILEVER):   $(OBJS)
	$(CC) $(SO_FLAGS) -Wl,-soname,libgcin-im-client.so.1 $(OBJS) -lX11 -o $@ -L/usr/X11R6/lib
	ln -sf $(SOFILEVER) $(SOFILE)
	ln -sf $(SOFILEVER) $(SOFILE).1
	$(MAKE) -C ../gtk-im

LOCALLIB=/usr/local/$(LIB)

install:
	install -d $(gcinlibdir)
	install -m 755 $(SOFILEVER) $(gcinlibdir)
	cd $(gcinlibdir); rm -f $(SOFILE); ln -s $(SOFILEVER) $(SOFILE); \
	ln -sf $(SOFILEVER) $(SOFILE).1

gcin-conf.o: ../gcin-conf.cpp
	$(CCX) -c $(CFLAGS) -o $@ $<

util.o: ../util.cpp
	$(CCX) -c $(CFLAGS) -o $@ $<

im-addr.o: ../im-addr.cpp
	$(CCX) -c $(CFLAGS) -o $@ $<

gcin-crypt-fpic.o: ../gcin-crypt.cpp
	$(CCX) -c $(CFLAGS) -o $@ $<

clean:
	rm -f *.o *.so *.so.* *~ *.E *.db config.mak tags core.* .depend

.depend:
	$(CCX) $(CFLAGS) -MM *.cpp > $@

include .depend

=== qt4-im/Makefile ===
include ../config.mak
QT=qt4
QTIM=$(QT)/plugins/inputmethods
IMMODULES=$(libdir)/$(DEB_BUILD_MULTIARCH)/$(QTIM)

INCS=-I../im-client -I/usr/include/X11 `pkg-config QtCore QtGui --cflags`
CXXFLAGS=$(OPTFLAGS) $(INCS) -Wall -D_REENTRANT -DUNIX=1 -fPIC  -DQT4 -DQT_SHARED \
-DQT_IMMODULE -DPIC
OBJS= moc_gcin-qt.o gcin-qt.o im-gcin-qt.o gcin-imcontext-qt.o
.SUFFIXES:	.c .cpp .a .so .E .h
LDFLAGS=-L../im-client -lgcin-im-client `pkg-config QtCore QtGui --libs`
all:    im-gcin.so

.cpp.E:
	$(CXX) -E $(CFLAGS) $(INCS) $< > $@

moc_gcin-qt.cpp:	gcin-qt.h
	$(QT4_MOC) $< -o moc_gcin-qt.cpp

im-gcin.so: $(OBJS)
	export LD_RUN_PATH=$(gcinlibdir) ;\
	$(CXX) $(gcc_ld_run_path) -fno-exceptions -shared -o $@ $(OBJS) $(LDFLAGS)
	rm -f core.*
install:
	if [ $(prefix) = /usr/local ]; then \
		install -d $(DESTDIR)/$(QT4_IM_DIR); \
		install -m 755 im-gcin.so $(DESTDIR)/$(QT4_IM_DIR); \
	else \
		install -d $(IMMODULES); \
                install -m 755 im-gcin.so $(IMMODULES); \
	fi
clean:
	rm -f $(OBJS) im-gcin.so *~ core.* *moc*.cpp *.E .depend

.depend:
	$(CXX) $(CXXFLAGS) -MM *.cpp > $@

include .depend

=== scripts/Makefile ===
include ../config.mak

SCRIPTS=gcin-user-setup modify-XIM utf8-edit gtab.append_prepare html-browser tsin-gtab-import tsin-gtab-edit

all:	$(SCRIPTS)

install:
#	if [ $(prefix) = /usr/local ]; then \
#	   sh modify-XIM; \
#	fi
	install -d $(GCIN_SCRIPT_DIR_i)
	install -m 755 $(SCRIPTS) $(GCIN_SCRIPT_DIR_i)
clean:
	rm -f *~ tags core.*

=== IMdkit/lib/Makefile ===
include ../../config.mak

#CFLAGS =  -c -O2 -fno-strength-reduce -Dlinux -D__i386__ -D_POSIX_C_SOURCE=199309L -D_POSIX_SOURCE -D_XOPEN_SOURCE=500L -D_BSD_SOURCE -D_SVID_SOURCE   -DFUNCPROTO=15 -DNARROWPROTO   -DUNIXCONN -DTCPCONN -DXIM_t -DTRANS_SERVER
CFLAGS =  -c $(OPTFLAGS) -fno-strength-reduce -DXIM_t -DTRANS_SERVER
INC = -I../include -I/usr/X11R6/include


SRC = IMConn.c IMMethod.c FrameMgr.c i18nIMProto.c i18nAttr.c i18nMethod.c i18nUtil.c i18nPtHdr.c i18nIc.c i18nClbk.c i18nX.c

OBJ = $(SRC:.c=.o)

all: libXimd.a

libXimd.a: $(OBJ)
	ar cr $@ $(OBJ)
	ranlib $@

.c.o:
	$(CC) $(CFLAGS) $(INC) $<

clean:
	rm -f libXimd.a *.o *.bak

=== debian/changelog ===
gcin (2.9.0+dfsg1-2) unstable; urgency=medium

  * Use libayatana-appindicator (Closes: #956766)
  * debian/control: Recommends libayatana-appindicator3-1 (Closes: #921005)

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Tue, 19 Jan 2021 16:56:59 +0800

gcin (2.9.0+dfsg1-1) unstable; urgency=medium

  [ Debian Janitor <janitor@jelmer.uk> ]
  * Update standards version to 4.4.1, no changes needed.
  * Set debhelper-compat version in Build-Depends.
  * Fix day-of-week for changelog entries 1.4.2-1.

  [ Sudip Mukherjee ]
  * Fix ftbfs with GCC-10. (Closes: #957260, LP: #1897750)

  [ ChangZhuo Chen (陳昌倬) ]
  * New upstream releases.
  * Bump Standards-Version to 4.5.0.
    * Add Rules-Requires-Root: no
  * Bump compat to 13.
  * Remove absent manpage.
  * Update copyright.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 07 Oct 2020 22:35:46 +0800

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,23 @@
 Source: gcin
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
+Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
 Uploaders: Yao Wei (魏銘廷) <mwei@lxde.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
            Shih-Yuan Lee (FourDollars) <fourdollars@gmail.com>,
 Homepage: http://hyperrate.com/dir.php?eid=67
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 13),
                dpkg-dev (>= 1.16.1~),
                libanthy-dev,
-               libappindicator3-dev,
+               libayatana-appindicator3-dev,
                libcurl4-openssl-dev | libcurl-dev,
                libgtk2.0-dev (>= 2.20.0),
                libgtk-3-dev,
                libxtst-dev,
                qtbase5-private-dev,
                qtchooser,
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/gcin.git
 Vcs-Browser: https://salsa.debian.org/debian/gcin
 
@@ -32,6 +32,7 @@
 Recommends: im-config,
             gcin-gtk2-immodule,
             gcin-gtk3-immodule,
+            libayatana-appindicator3-1,
 Suggests: gcin-anthy,
           gcin-qt5-immodule,
           gcin-voice,

## gcin 2.9.4%2Bdfsg1

=== debian/control ===
Source: gcin
Section: utils
Priority: optional
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders: Yao Wei (魏銘廷) <mwei@lxde.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Shih-Yuan Lee (FourDollars) <fourdollars@gmail.com>,
Homepage: http://hyperrate.com/dir.php?eid=67
Build-Depends: debhelper-compat (= 13),
               dpkg-dev (>= 1.16.1~),
               libanthy-dev,
               libayatana-appindicator3-dev,
               libcurl4-openssl-dev | libcurl-dev,
               libgtk2.0-dev (>= 2.20.0),
               libgtk-3-dev,
               libxtst-dev,
               qtbase5-private-dev,
               qtchooser,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/input-method-team/gcin.git
Vcs-Browser: https://salsa.debian.org/input-method-team/gcin
Description: GTK+ based input method for Chinese users
 gcin is a GTK+ based input method which focused mainly on Traditional
 Chinese. However, it is also very useful for Simplified Chinese, Japanese,
 and many other languages.

Package: gcin
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
         gcin-data,
         gcin-tables,
         libgcin,
Recommends: im-config,
            gcin-gtk2-immodule,
            gcin-gtk3-immodule,
            libayatana-appindicator3-1,
Suggests: gcin-anthy,
          gcin-qt5-immodule,
          gcin-voice,
Description: ${source:Synopsis}
 ${source:Extended-Description}
 .
 To use gcin, the correspondence immodule packages also need to be installed.
 They are:
 .
  * gcin-gtk2-immodule for GTK2
  * gcin-gtk3-immodule for GTK3
  * gcin-qt5-immodule for Qt5

Package: gcin-data
Architecture: all
Depends: ${misc:Depends},
Replaces: gcin (<< 2.7.2+dfsg-1)
Breaks: gcin (<< 2.7.2+dfsg-1)
Description: icons and scripts for gcin
 ${source:Extended-Description}
 .
 This package contains icons, scripts and other architecture-independent
 things.

Package: gcin-tables
Architecture: any
Depends: ${misc:Depends},
Replaces: gcin (<< 2.7.2+dfsg-1)
Breaks: gcin (<< 2.7.2+dfsg-1)
Description: input method tables for gcin
 ${source:Extended-Description}
 .
 This package contains architecture-dependent input method tables.

Package: libgcin
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: library for gcin
 ${source:Extended-Description}
 .
 This package contains library for gcin.

Package: gcin-gtk2-immodule
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         gcin (>= ${source:Version}),
Breaks: gcin (<< 2.8.3+dfsg1-1)
Replaces: gcin (<< 2.8.3+dfsg1-1)
Description: GTK2 input method module with gcin as backend
 ${source:Extended-Description}
 .
 This package is the GTK2 input method module (immodule) for gcin.

Package: gcin-gtk3-immodule
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         gcin (>= ${source:Version}),
Description: GTK3 input method module with gcin as backend
 ${source:Extended-Description}
 .
 This package is the GTK3 input method module (immodule) for gcin.

Package: gcin-qt5-immodule
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         gcin (>= ${source:Version}),
Description: Qt5 input method module with gcin as backend
 ${source:Extended-Description}
 .
 This package is the Qt5 input method module (immodule) for gcin.

Package: gcin-anthy
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         gcin (>= ${source:Version}),
         anthy,
Replaces: gcin (<< 2.7.2+dfsg-1)
Breaks: gcin (<< 2.7.2+dfsg-1)
Description: support library to use Anthy in gcin
 ${source:Extended-Description}
 .
 This package is the support library to use anthy in gcin.

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,11 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/default.mk
 
-export DEB_CFLAGS_MAINT_APPEND = -fcommon
+# Circumvent FTBFS:
+# gtab-buf.cpp:1339:57: note: expected ‘char (*)[65]’ but argument is of type ‘char (*)[64]’
+export DEB_CFLAGS_MAINT_APPEND = -Wno-incompatible-pointer-types
+
+export DEB_CFLAGS_MAINT_APPEND += -std=gnu17
 
 GTK2VER := $(shell pkg-config --variable=gtk_binary_version gtk+-2.0)
 GTK3VER := $(shell pkg-config --variable=gtk_binary_version gtk+-3.0)
